# $Revision: 1.7 $, $Date: 2002/11/14 12:54:50 $
Summary:	OCaml tags
Summary(pl):	Tagi dla OCamla
Name:		ocaml-otags
Version:	3.06.5
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://perso.wanadoo.fr/cuihtlauac.alvarado/otags-%{version}.tar.gz
Vendor:		Cuihtlauac Alvardo <cuihtlauac.alvarado@francetelecom.com>
BuildRequires:	ocaml-camlp4 >= 3.05
%requires_eq	ocaml-camlp4
Obsoletes:	otags
Provides:	otags
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program for making tags for Emacs and Vi, for OCaml source code.

%description -l pl
Program do tworzenia tagw dla Emacsa i Vi do kodu rdowego w OCamlu.

%prep
%setup -q -n otags-%{version}

%build
# don't use %%configure
./configure --prefix %{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	INSTALLIBDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README HISTORY
%attr(755,root,root) %{_bindir}/*
%{_libdir}/ocaml/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ocaml-otags.spec,v $
Revision 1.7  2002/11/14 12:54:50  malekith
- yet another bugfix

Revision 1.6  2002/11/13 22:28:32  malekith
- 3.06.4; bugfix (from our -vi.patch)

Revision 1.5  2002/11/12 20:37:12  malekith
- aie... vi tags should be applied

Revision 1.4  2002/11/12 20:28:55  malekith
- up to 3.06.2
- removed obsolete patches
- clean some pl
- new %doc

Revision 1.3  2002/11/10 13:00:46  malekith
- release 3
- improved vi patch; partially from Ava Arachne Jarvis <ajar@katanalynx.dyndns.org>

Revision 1.2  2002/08/09 11:55:06  malekith
- patch to build with ocaml 3.05
- release 2

Revision 1.1  2002/05/10 11:48:45  malekith
- changed name to conform other packages
- few fixes



Revision 1.9  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/13 17:38:45  malekith
- br: ocaml, camlp4 (from ocaml-camlp4) >= 3.04-2 (-1 is broken)

Revision 1.7  2002/02/13 17:36:30  malekith
- updated to 3.04.3 (version for ocaml 3.04)
- added vi.patch, to make tags for vim properly

Revision 1.6  2002/01/18 02:14:08  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/06 09:45:04  qboosh
- Group changed to Development/Tools, cosmetics; release 3

Revision 1.4  2001/11/22 21:43:43  filon
- better descripton
- relsease 2

Revision 1.3  2001/11/01 01:24:12  blues
- typo

Revision 1.2  2001/10/29 20:53:21  filon
- changed previous log

Revision 1.1  2001/10/29 20:40:46  filon
- first release, spec written by me
- works, STB

Program for making tags for Emacs and Vi, for OCaml
source code
